# Features
* [wcml-2836] Replaced some Twig templates with pure PHP templates as the first step towards the removal of Twig dependencies.
* [wcml-2740] Added compatibility class for WooCommerce order status Manager plugin

# Fixes
* [wcml-2965] Fixed PHP Notice for WC Variations Swatches And Photos compatibility.
* [wcml-2963] WooCommerce Bookings compatibility : Fixed notice when trying to cancel booking.
* [wcml-2954] Fixed a JavaScript error on the Store URLs tab.
* [wcml-2947] Fixed an issue where the "Fix translated variations relationships" troubleshooting option was removing translated variations.
* [wcml-2944] Fixed an issue where the strings for the default payment methods were not properly translated on the Checkout page.
* [wcml-2941] Fixed an issue where product names were not translated in the admin emails.
* [wcml-2931] Fixed an issue with the WooCommerce Subscriptions availability in the secondary language after purchasing the subscription in the original language.
* [wcml-2929] Fixed an issue with the cache flush during language switching.
* [wcml-2928] Fixed in the original ticket.
* [wcml-2923] Fixed an issue where the gateway strings would always register in English instead of the site's default language.
* [wcml-2914] Fixed an issue with the price filter widget not showing results in a secondary language.
* [wcml-2864] Fixed an issue where customers would not receive notifications in the correct language.
* [wcml-2838] Fixed an issue where the shipping classes in secondary languages were not calculated during checkout.
* [wcml-2827] Fixed error while sending WooCoomerce Bookings email for bookings which didn't have orders assigned.
* [wcml-2798] added comp. class to cover price update when products are edited with WOOBE plugin
* [wcml-2792] Updated compatibility class for WC Checkout Addons

# Compatibility
* [wcml-2938] Fixed an issue where the total price on the Composite product page was not rounded.
* [wcml-2937] Fixed an issue causing wrong rewrite rules after saving the settings and visiting a page in a language other than the default.
* [wcml-2936] Fixed an issue with incorrect price converting for the Product add-ons.
* [wcml-2922] Fixed an issue with the currency reverting to the default one during checkout.
* [wcml-2921] Fixed removed meta from original product not synchronized to translation.
* [wcml-2918] Fixed an issue where the BACS gateway instructions were not translated when re-sending the customer notification email from the admin.
* [wcml-2896] Fixed an issue with missing language information for attribute terms that happened after changing the attribute slug.
* [wcml-2878] Removed the Twig Composer dependency as it now relies on Twig from the WPML core plugin.
* [wcml-2854] Fixed an issue where the Products shortcode was not working in the secondary language.
* [wcml-2612] Fixed the images that were wrongly inserted in the translation job when attachments are not translatable.

# Performances
* [wcml-2970] Significantly improved the site performance on when updating the page, post, or a WooCommerce product page in the admin.
* [wcml-2917] Added the "wp_" prefix to all cookies so that hosting and caching layers can properly handle them.

# Usability
* [wcml-1365] Display larger images when hovering thumbnails in the WooCommerce Multilingual Products admin page.

# API
* [wcml-2953] Added the "wcml_new_order_admin_email_language" filter to allow setting the language of emails sent to admins for new or updated orders.